# xtea.h File Reference

## Detailed Description

Copyright (C) 2006-2009, Paul Bakker <polarssl_maintainer at polarssl.org> All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

Definition in file xtea.h.

`#include <inttypes.h>`

Go to the source code of this file.

## Data Structures
struct | xtea_context
| XTEA context structure. More...
## Defines
#define | XTEA_DECRYPT 0
#define | XTEA_ENCRYPT 1
## Functions
void | xtea_crypt_ecb (xtea_context *ctx, int mode, unsigned char input[8], unsigned char output[8])
| XTEA cipher function.
int | xtea_self_test (int verbose)
void | xtea_setup (xtea_context *ctx, unsigned char key[16])
| XTEA key schedule.

## Define Documentation

#define XTEA_DECRYPT 0

Definition at line 32 of file xtea.h.

#define XTEA_ENCRYPT 1

Definition at line 31 of file xtea.h.

## Function Documentation

void xtea_crypt_ecb | ( | xtea_context * | ctx,
|  | int | mode,
|  | unsigned char | input[8],
|  | unsigned char | output[8] |
| ) |  |  |

XTEA cipher function.

Parameters:

  | ctx | XTEA context
  | mode | XTEA_ENCRYPT or XTEA_DECRYPT
  | input | 8-byte input block
  | output | 8-byte output block

int xtea_self_test | ( | int | verbose | ) |

void xtea_setup | ( | xtea_context * | ctx,
|  | unsigned char | key[16] |
| ) |  |  |

XTEA key schedule.

Parameters:

  | ctx | XTEA context to be initialized
  | key | the secret key